body {
    background-color: black;
}
div {
    width: 100%;
    text-align: left;
}
div#logo {
    text-align: center;
}
img {
    margin: auto;
    size: auto;
    max-width: 100%;
}
a {
    text-decoration: none;
}
#menu_button {
    position: relative; /* So that the relative positioned menu works */
}
#menu_button_text {
    font-size: 3em;
    color: red;
    padding: 0.2em;
    text-align: left;
    visibility: hidden;
    cursor: pointer;
}
#menu_bar:hover #menu_button_text {
    visibility: visible;
}
#menu_button_text:hover {
    background: #333;
}
#menu_button_text:hover #site_list {
    visibility: visible;
}
#footer span {
    color: #111;
}
#site_list.open {
    visibility: visible;
}
#site_list {
    background-color: black;
    position: absolute;
    top: 100%;
    left: 0;
    z-index: 999;
    visibility: hidden;
    padding-left: 1em;
}
#site_list li {
    list-style-type: none;
    margin: 0.2em;
    border: 1px solid #333;
    padding: 10px 5em 10px 10px;
    background-color: #020;
    color: white;
    font-family: sans-serif;
    cursor: pointer;    
}
#site_list li:hover {
    background-color: #252;
}